let befGcFlame = 0;
const AutoGcFlame = 60 * 60 * 2;
let BefGcFlame_NUpdateSc = Game_Interpreter.prototype.NUpdateSc;
Game_Interpreter.prototype.NUpdateSc = function () {
    BefGcFlame_NUpdateSc.call(this);
    if (befGcFlame > 0) befGcFlame--;
    if (befGcFlame <= 0) {
        NaGCUpFlg = true;
        console.log("■GCを定期的に発生させる");
    }
}
let NaGCUpFlg = false;
let BtlGCFlame = 0;  
let GC_Update = Game_Interpreter.prototype.NUpdateSc;
Game_Interpreter.prototype.NUpdateSc = function () {
    GC_Update.call(this);
    BtlGCFlame++;
    if (BtlGCFlame == 6000) {
        NaGCUpFlg = true;
        BtlGCFlame = 0;
    }
    _skilLive2DLoad = ["romasha_kick"];
}
Game_Interpreter.prototype.GC_Start = function () { 
    NaGCUpFlg = true;
    BtlGCFlame = 0;
}
let NupuMap_performTransfer = Game_Player.prototype.performTransfer;
Game_Player.prototype.performTransfer = function () {
    NupuMap_performTransfer.call(this); 
    if (!RD_Flg) { 
        NaGCUpFlg = true; 
    }
    _MMoveFlame = 0;
    _BefGold = -999999;
}
Game_Interpreter.prototype.PicTranOut = function (_PicNo, _TranPic, _time) {
    _time = typeof _time !== 'undefined' ? _time : 15;
    this.MovePict(_PicNo, true, true, _time, 0, 0, 0);
    $gameScreen.rotatePicture(_PicNo, 60);
    // this.N_Plgin("GWFade", _SetArr);
}
